<div class="w-100 button-new-date__body p-0 {{needsScrollbar}}">
  <div class="button-new-date__body-svg-container" style="{{svgMaxHeight}}">
    {{svg-jar "when" class="button-new-date__body-svg-image"}}
  </div>
  <div class="container {{bodyClass}}" id="typeContent">
    <div class="row h-100 align-items-end">
      <div class="col-12 button-new-date__buttons">
        <p class="button-new-date__text mb-3">
          ¿Cuándo?
        </p>
        <button {{action 'setRadioButton' "now"}} {{action 'nextStep'}} class="w-100 d-block p-0 m-0 border-0 mb-2 button-new-date__button-outline" type="button" name="button">
          <div class="{{if (is-equal buttonDateType "now") "button-new-date__radio-buttons button-new-date__radio-buttons--filled" "button-new-date__radio-buttons"}}">
            <div class="radio-button__icon">
              {{svg-jar "now" class=(if (is-equal buttonDateType "now") "button-new-date__radio-icons button-new-date__radio-icons--filled" "button-new-date__radio-icons")}}
            </div>
            <div class="radio-button__text">
              Ahora (hasta que lo desactives)
            </div>
          </div>
        </button>
        <button {{action 'setRadioButton' "specificDate"}} class="w-100 d-block p-0 m-0 border-0 mb-2 button-new-date__button-outline" type="button" name="button">
          <div class="{{if (is-equal buttonDateType "specificDate") "button-new-date__radio-buttons button-new-date__radio-buttons--filled" "button-new-date__radio-buttons"}}" {{action 'togglePicker' 'specificDate'}}>
            <div class="radio-button__icon">
              {{svg-jar "since_to" class=(if (is-equal buttonDateType "specificDate") "button-new-date__radio-icons button-new-date__radio-icons--filled" "button-new-date__radio-icons")}}
            </div>
            <div class="radio-button__text">
              {{#if (is-equal buttonDateType "specificDate")}}
                {{#if hasFormatedDate}}
                  {{formatedDate}}
                {{else}}
                  Fecha / hora concreta
                {{/if}}
              {{else}}
                  Fecha / hora concreta
              {{/if}}
            </div>
          </div>
        </button>
        <button {{action 'setRadioButton' "periodicDate"}} class="w-100 d-block p-0 m-0 border-0 mb-2 button-new-date__button-outline" type="button" name="button">
          <div class="{{if (is-equal buttonDateType "periodicDate") "button-new-date__radio-buttons button-new-date__radio-buttons--filled" "button-new-date__radio-buttons"}}" {{action 'togglePeriodPicker' 'periodicDate'}}>
            <div class="radio-button__icon">
              {{svg-jar "period" class=(if (is-equal buttonDateType "periodicDate") "button-new-date__radio-icons button-new-date__radio-icons--filled" "button-new-date__radio-icons")}}
            </div>
            <div class="radio-button__text">
              {{#if (is-equal buttonDateType "periodicDate")}}
                {{#if hasFormatedDate}}
                  {{formatedDate}}
                {{else}}
                  Fecha periódica
                {{/if}}
              {{else}}
                  Fecha periódica
              {{/if}}
            </div>
          </div>
        </button>
      </div>
      <!-- <div class="col-12 mt-3 px-0">
        <button class="button-sample border-0 button-new-date__next-step-btn" {{action 'nextStep'}} type="button" name="button" disabled={{isNextButtonDisabled}}>
          Siguiente
        </button>
      </div> -->
      {{#if showPicker}}
        {{#modal-dialog
          onClose=(action 'closeModal')
          targetAttachment="center"
          translucentOverlay=true
          animatable=true
          containerClass="button-new-date__pickers-modal-content"
          overlayClass="button-new-date__pickers-modal"
        }}
          <div class="row px-4">
            <div class="col-12 px-3 mt-3">
              <header class="ember-modal-dialog__header ember-modal-dialog__header--bigger">
                <h3 class="ember-modal-dialog__title ember-modal-dialog__title--reservation-picker">
                  Seleccionar fecha y hora
                  <br>
                  <small class="mt-3 mb-2">Haga clic para elegir</small>
                </h3>
              </header>
            </div>
            <div class="col-12 mx-auto mt-3 mb-1">
              {{time-picker class="mx-auto" agreedDate=date}}
            </div>
            <div class="col-12 my-3">
              {{#power-calendar class="w-100 demo-calendar-small mx-auto"
                center=center
                onCenterChange=(action (mut center) value="date")
                selected=selected
                onSelect=(action (mut selected) value="date") as |calendar|}}
                {{calendar.nav}}
                {{calendar.days}}
              {{/power-calendar}}
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <button class="button-sample border-0" {{action 'confirmDate' 'nextStep'}} type="button" name="button">
                Aceptar
              </button>
            </div>
          </div>
        {{/modal-dialog}}
      {{/if}}
      {{#if showPickerPeriod}}
        {{#modal-dialog
          onClose=(action 'closeModal')
          targetAttachment="center"
          translucentOverlay=true
          animatable=true
          containerClass="button-new-date__pickers-modal-content"
          overlayClass="button-new-date__pickers-modal"
        }}
          <div class="row px-4">
            <div class="col-12 px-3 mt-3">
              <header class="ember-modal-dialog__header ember-modal-dialog__header--bigger">
                <h3 class="ember-modal-dialog__title ember-modal-dialog__title--reservation-picker">
                  Selecciona días de la semana y hora
                  <br>
                  <small class="mt-3 mb-2">Haga clic para elegir</small>
                </h3>
              </header>
            </div>
            <div class="col-12 my-3 button-new-date__week-days">
              {{#if isMon}}
                <button {{action 'addDay' 'Lunes'}} class="selected" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Lun
                    </div>
                  </div>
                </button>
              {{else}}
                <button {{action 'addDay' 'Lunes'}} class="" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Lun
                    </div>
                  </div>
                </button>
              {{/if}}
              {{#if isTue}}
                <button {{action 'addDay' 'Martes'}} class="selected" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Mar
                    </div>
                  </div>
                </button>
              {{else}}
                <button {{action 'addDay' 'Martes'}} class="" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Mar
                    </div>
                  </div>
                </button>
              {{/if}}
              {{#if isWed}}
                <button {{action 'addDay' 'Miercoles'}} class="selected" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Mie
                    </div>
                  </div>
                </button>
              {{else}}
                <button {{action 'addDay' 'Miercoles'}} class="" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Mie
                    </div>
                  </div>
                </button>
              {{/if}}
              {{#if isThu}}
                <button {{action 'addDay' 'Jueves'}} class="selected" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Jue
                    </div>
                  </div>
                </button>
              {{else}}
                <button {{action 'addDay' 'Jueves'}} class="" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Jue
                    </div>
                  </div>
                </button>
              {{/if}}
              {{#if isFri}}
                <button {{action 'addDay' 'Viernes'}} class="selected" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Vie
                    </div>
                  </div>
                </button>
              {{else}}
                <button {{action 'addDay' 'Viernes'}} class="" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Vie
                    </div>
                  </div>
                </button>
              {{/if}}
              {{#if isSat}}
                <button {{action 'addDay' 'Sabado'}} class="selected" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Sab
                    </div>
                  </div>
                </button>
              {{else}}
                <button {{action 'addDay' 'Sabado'}} class="" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Sab
                    </div>
                  </div>
                </button>
              {{/if}}
              {{#if isSun}}
                <button {{action 'addDay' 'Domingo'}} class="selected" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Dom
                    </div>
                  </div>
                </button>
              {{else}}
                <button {{action 'addDay' 'Domingo'}} class="" type="button" name="button">
                  <div class="">
                    <div class="radio-button__text">
                      Dom
                    </div>
                  </div>
                </button>
              {{/if}}
              <!-- {{#power-calendar class="w-100 demo-calendar-small mx-auto"
                center=center
                onCenterChange=(action (mut center) value="date")
                selected=selected
                onSelect=(action (mut selected) value="date") as |calendar|}}
                {{calendar.nav}}
                {{calendar.days}}
              {{/power-calendar}} -->
            </div>
            <div class="col-12 mx-auto mt-3 mb-1">
              {{time-picker class="mx-auto" agreedDate=date}}
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <button class="button-sample border-0" {{action 'confirmDate' 'nextStep'}} disabled={{emptyPeriod}} type="button" name="button">
                Aceptar
              </button>
            </div>
          </div>
        {{/modal-dialog}}
      {{/if}}
    </div>
  </div>
</div>
{{#unless isSmallDevice}}
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.index.index' class="button-new-description__close-container"}}{{/link-to}}
  {{else}}
    {{#link-to 'index.index' class="button-new-description__close-container"}}{{/link-to}}
  {{/if}}
{{/unless}}
